allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
const_reverse_iterator
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
get_ref
get_ref
insert
insert
insert
insert
insert
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
iterator_wrapper
iterator_wrapper
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator==
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
size
size_type
string_t
swap
swap
swap
swap
type
value
value
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

iterator nlohmann::basic_json::insert | ( | const_iterator | pos,
|  | std::initializer_list< basic_json > | ilist
| ) |  |

inline

Inserts elements from initializer list ilist before iterator pos.

Parameters

  [in] | pos | iterator before which the content will be inserted; may be the end() iterator
  [in] | ilist | initializer list to insert the values from

Exceptions

  std::domain_error | if called on JSON values other than arrays; example: `"cannot use insert() with string"`
  std::domain_error | if pos is not an iterator of *this; example: `"iterator does not fit current value"`

Returns
  iterator pointing to the first element inserted, or pos if `ilist` is empty

Complexity
  Linear in `ilist.size()` plus linear in the distance between pos and end of the container.

Example
  The example shows how insert is used.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create a JSON array
  json v = {1, 2, 3, 4};
  // insert range from v2 before the end of array v
  auto new_pos = v.insert(v.end(), {7, 8, 9});
  // output new array and result of insert call
  std::cout << *new_pos << '\n';
  std::cout << v << '\n';
  }
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:191
  nlohmann::basic_json::end
  iterator end()
  returns an iterator to one past the last element
  Definition: json.hpp:3833
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:88
  nlohmann::basic_json::insert
  iterator insert(const_iterator pos, const basic_json &val)
  inserts element
  Definition: json.hpp:4436
  Output (play with this example online):

      7
      [1,2,3,4,7,8,9]

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/insert__ilist.cpp -o insert__ilist

Since
  version 1.0.0

Definition at line 4603 of file json.hpp.